Loading...
Searching...
No Matches
Modifier Constants

## Variables

const | Qore::Reflection::MC_ABSTRACT = MC_ABSTRACT
| describes abstract classes and method variants
const | Qore::Reflection::MC_DEPRECATED = MC_DEPRECATED
| describes deprecated functionality
const | Qore::Reflection::MC_FINAL = MC_FINAL
| describes the final flag
const | Qore::Reflection::MC_PRIVATE = MC_PRIVATE
| describes private access; accessible from anywhere in a class hierarchy (similar to `protected` in C++ and Java)
const | Qore::Reflection::MC_PRIVATEINTERNAL = MC_PRIVATEINTERNAL
| describes internal private access; only accessible from the same class where the definition is made (similar to `private` in C++ and Java)
const | Qore::Reflection::MC_PUBLIC = MC_PUBLIC
| describes public access
const | Qore::Reflection::MC_STATIC = MC_STATIC
| describes static methods and method variants
const | Qore::Reflection::MC_SYNCHRONIZED = MC_SYNCHRONIZED
| describes synchronized variants
const | Qore::Reflection::MC_TRANSIENT = MC_TRANSIENT
| describes the transient flag

## Detailed Description

Constants giving modifier information; each constant is a unique element of a bitfield

Since
  Qore 0.9

## Variable Documentation

## MC_PRIVATE

const Qore::Reflection::MC_PRIVATE = MC_PRIVATE

describes private access; accessible from anywhere in a class hierarchy (similar to `protected` in C++ and Java)

Equivalent to Qore::Reflection::AC_PRIVATE

## MC_PRIVATEINTERNAL

const Qore::Reflection::MC_PRIVATEINTERNAL = MC_PRIVATEINTERNAL

describes internal private access; only accessible from the same class where the definition is made (similar to `private` in C++ and Java)

Equivalent to Qore::Reflection::AC_PRIVATEINTERNAL

## MC_PUBLIC

const Qore::Reflection::MC_PUBLIC = MC_PUBLIC

describes public access

Equivalent to Qore::Reflection::AC_PUBLIC